cdef cypclass Singleton

cdef int allocated = 0
cdef Singleton ptr

cdef cypclass Singleton:
    Singleton __new__(alloc):
        global allocated
        global ptr
        if not allocated:
            allocated = 1
        return ptr

cpdef void testSingleton():
    o1 = Singleton()
    o2 = Singleton()

    if o1 is o2 and o1 is ptr:
        print("👍")
