
cdef cypclass A:
    int a
    int getter(self):
        return self.a * 6

    int __int__(self):
        return self.getter()

    __init__(self, int a):
        self.a = a - 1


cdef cypclass MyClass:

    A cypobj
    int number

    __init__(self, int a = 0):
        self.cypobj = A(a)
        self.number = a

    __init__(self, A obj):
        self.cypobj = obj
        self.number = obj.a + 1

    int get_A_value(self):
        if self.cypobj is not NULL:
            return self.cypobj.getter()
        else:
            return 42

cdef int take_value(MyClass o) nogil:
    value = o.get_A_value()
    return value

def print_values():
    method1_specified = MyClass(2)
    method1_default = MyClass()
    method2 = new MyClass()
    print(take_value(method1_specified),
            take_value(method1_default),
            take_value(method2))
